The HTTPClient will use the JWTToken and Host/Site set in the SettingsStorageService to connect dotCMS REST Endpoints

### Hierarchy

- HttpClient

## Index

### Constructors

- constructor

### Properties

- http
- progress
- progress$
- progressObserver
- settingsStorageService

### Methods

- createAuthorizationHeader
- filePut
- get
- post
- put

## Constructors

### constructor

- new HttpClient(http: Http, settingsStorageService: SettingsStorageService): HttpClient

- - Defined in core/util/http.service.ts:20

  #### Parameters

  - ##### http: Http

  - ##### settingsStorageService: SettingsStorageService

  #### Returns HttpClient

## Properties

### Private http

http: Http

- Defined in core/util/http.service.ts:24

### Private progress

progress: number

- Defined in core/util/http.service.ts:20

### progress$

progress$: any

- Defined in core/util/http.service.ts:19

### Private progressObserver

progressObserver: any

- Defined in core/util/http.service.ts:18

### Private settingsStorageService

settingsStorageService: SettingsStorageService

- Defined in core/util/http.service.ts:25

## Methods

### createAuthorizationHeader

- createAuthorizationHeader(headers: Headers): void

- - Defined in core/util/http.service.ts:39

  Will append JWT Header to passed in Headers

  #### Parameters

  - ##### headers: Headers

  #### Returns void

### filePut

- filePut(path: String, file: File, data: Object): Observable<any>

- - Defined in core/util/http.service.ts:99

  Intended to simply saving FileAssets to dotCMS. Currently uses a debouce time of 400 and distinctUntilChanged flags on a GET request. This is intended to limit unecessary requests to the dotCMS Endpoints. Will append needed dotCMS Host/Site and JWT AUth Token

  #### Parameters

  - ##### path: String

    path Endpoint path

  - ##### file: File

    Binary file to save

  - ##### data: Object

  #### Returns Observable<any>

### get

- get(path: string): Observable<Response>

- - Defined in core/util/http.service.ts:51

  Currently uses a debouce time of 400 and distinctUntilChanged flags on a GET request. This is intended to limit unecessary requests to the dotCMS Endpoints. Will append needed dotCMS Host/Site and JWT AUth Token

  #### Parameters

  - ##### path: string

    Endpoint path

  #### Returns Observable<Response>

### post

- post(path: String, data: Object): Observable<Response>

- - Defined in core/util/http.service.ts:83

  Currently uses a debouce time of 400 and distinctUntilChanged flags on a GET request. This is intended to limit unecessary requests to the dotCMS Endpoints. Will append needed dotCMS Host/Site and JWT AUth Token

  #### Parameters

  - ##### path: String

    path Endpoint path

  - ##### data: Object

    Object to be POSTed. Will be converted to JSON String(JSON.stringify)

  #### Returns Observable<Response>

### put

- put(path: String, data: Object): Observable<Response>

- - Defined in core/util/http.service.ts:66

  Currently uses a debouce time of 400 and distinctUntilChanged flags on a GET request. This is intended to limit unecessary requests to the dotCMS Endpoints. Will append needed dotCMS Host/Site and JWT AUth Token

  #### Parameters

  - ##### path: String

    path Endpoint path

  - ##### data: Object

    Object to be PUT. Will be converted to JSON String(JSON.stringify)

  #### Returns Observable<Response>

Generated using TypeDoc